%global momorel 1

Name: cachecc1
Version: 0.3
Release: %{momorel}m
License: GPL
Group: Development/Languages
%NoSource 0 http://dl.sourceforge.net/sourceforge/cachecc1/%{name}-%{version}.tar.gz ffe7a9391af62d4153673a4ee4dfde2f
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Summary: cachecc1 - a gcc cache
Url: http://cachecc1.sourceforge.net/

%description
cachecc1 is a gcc cache.
It can be compared with the well known ccache. It has some unique features:
* it uses a LD_PRELOADed shared object to catch invocations to cc1, cc1plus
  and as.
* consequently, it transparently supports all build methods.
* it can cache gcc bootstraps.
* it can be combined with distcc to transparently distribute compilations.

%prep
%setup -q

%build
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_libexecdir}
install -m 755 bin/cachecc1.so %{buildroot}%{_libdir}/cachecc1.so
install -m 755 bin/distccwrap %{buildroot}%{_libexecdir}/distccwrap

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/cachecc1.so
%{_libexecdir}/distccwrap
%doc COPYING README.*

%changelog
* Thu Nov 11 2004 TAKAHASHI Tamotsu <tamo>
- (0.3-1m)
- cachecc1 builds gcc much faster than ccache
